GCLOUD_KMS_KEYS_VERSIONS_DESCRIBE(1)

NAME

gcloud kms keys versions describe - get metadata for a given version

SYNOPSIS

gcloud kms keys versions describe VERSION [--key=KEY] [--keyring=KEYRING] [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Returns metadata for the given version.

POSITIONAL ARGUMENTS

    VERSION
        Name of the version to describe.

FLAGS

    --key=KEY
        The containing key.

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command returns metadata for version 2 within key frodo within the keyring fellowship in the location us-east1:
    $ gcloud kms keys versions describe 2 --key frodo \
        --keyring fellowship --location us-east1